%define		soname		0

# FIXME: should be libmad with empty main package
Name:		libmad0
Summary:	An MPEG audio decoder library
URL:		http://www.underbit.com/products/mad/
License:	GPL
Group:		Productivity/Multimedia/Other
Version:	0.15.1b
Release:	2.4
Source:		http://switch.dl.sourceforge.net/sourceforge/mad/libmad-%{version}.tar.bz2
Patch0:		libmad-0.15.1b-automake.patch
Patch1:		libmad-0.15.1b-pkgconfig.patch
Patch2:		libmad-0.15.1b-gcc43.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
Provides:	mad = %version-%release
Obsoletes:	mad < %version-%release
Conflicts:	mad < %version-%release

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

MAD supports high quality 24-bit PCM output for modern audio
technologies. MAD computes using 100% fixed-point (integer)
computation, so you can run it without a floating point unit.

%package -n libmad-devel
Summary:	Development package for mad
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Provides:	mad-devel = %version-%release
Obsoletes:	mad-devel < %version-%release
Conflicts:	mad-devel < %version-%release

%description -n libmad-devel
This package contains the header files and static libraries needed to
develop applications with libmad.

%prep
%setup -q -n libmad-%{version}
%patch0
%patch1 -p1
%patch2 -p1

%build
%configure --enable-accuracy --disable-static --with-pic
%__make %{?jobs:-j %jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%__install -D -m0644 mad.pc "%{buildroot}%{_libdir}/pkgconfig/mad.pc"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION
%{_libdir}/libmad.so.%{soname}
%{_libdir}/libmad.so.%{soname}.*

%files -n libmad-devel
%defattr(-,root,root)
%{_includedir}/mad.h
%{_libdir}/libmad.so
%{_libdir}/pkgconfig/mad.pc

%changelog
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- disable static and remove .la files
- patch away CFLAGS mangling completely
* Sun Aug  9 2009 pascal.bleser@opensuse.org
- add patch to keep -O2 in CFLAGS
- pass --enable-accuracy
* Fri Sep 19 2008 detlef@links2linux.de
- provides mad and mad-devel
* Thu Sep 18 2008 detlef@links2linux.de
- follow shared library package policy
* Mon Mar 13 2006 detlef@links2linux.de
- add new patch for pkgconfig/mad.pc
* Sun Mar  5 2006 detlef@links2linux.de
- add pkgconfig file
* Tue Sep 20 2005 henne@links2linux.de
- First packman release
